VERSION 5.00
Object = "{A8B3B723-0B5A-101B-B22E-00AA0037B2FC}#1.0#0"; "GRID32.OCX"
Begin VB.Form Form1 
   Caption         =   "uCalc FMP spreadsheet demo"
   ClientHeight    =   4305
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   7380
   LinkTopic       =   "Form1"
   ScaleHeight     =   4305
   ScaleWidth      =   7380
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmbSetColumnName 
      Caption         =   "Set New Column Name"
      Height          =   375
      Left            =   3480
      TabIndex        =   6
      Top             =   3720
      Width           =   2415
   End
   Begin VB.TextBox txtColumn 
      Height          =   285
      Left            =   1560
      TabIndex        =   4
      Text            =   "A"
      Top             =   3720
      Width           =   1695
   End
   Begin MSGrid.Grid Grid1 
      Height          =   2895
      Left            =   360
      TabIndex        =   2
      Top             =   720
      Width           =   6615
      _Version        =   65536
      _ExtentX        =   11668
      _ExtentY        =   5106
      _StockProps     =   77
      BackColor       =   12105912
      BeginProperty Font {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Rows            =   11
      Cols            =   6
   End
   Begin VB.TextBox txtFormula 
      Height          =   285
      Left            =   1680
      TabIndex        =   0
      Top             =   360
      Width           =   5295
   End
   Begin VB.TextBox txtCellName 
      Height          =   285
      Left            =   360
      TabIndex        =   1
      Text            =   "A1"
      Top             =   360
      Width           =   1215
   End
   Begin VB.Label Label2 
      Caption         =   "Formula"
      Height          =   255
      Left            =   1680
      TabIndex        =   7
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label3 
      Caption         =   "Column Name"
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   3720
      Width           =   1095
   End
   Begin VB.Label Label1 
      Caption         =   "Cell Name"
      Height          =   255
      Left            =   360
      TabIndex        =   3
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim CellRow As Long, CellCol As Long

Private Sub cmbSetColumnName_Click()
   ColumnName$(CellCol) = txtColumn
   SetColName ColumnName$(CellCol), CellCol
End Sub

Private Sub Form_Load()
   Call SpreadSheetInit(Grid1)
   Grid1.Row = 1
   Grid1.Col = 1
   Grid1_Click
End Sub

Private Sub Grid1_Click()
   Dim CellAddress As Long

   CellRow = Grid1.Row
   CellCol = Grid1.Col
    
   CellAddress = (CellCol - 1) * MaxRow + CellRow
   If Left$(CellEq$(CellAddress), 1) = "=" _
   Then txtFormula = CellEq$(CellAddress) _
   Else txtFormula = Grid1.Text
    
   If txtFormula = "" Then txtFormula = "="
   txtFormula.SelStart = Len(txtFormula)
       
   txtColumn = ColumnName$(CellCol)
   txtCellName = CellName$(Grid1.Row, Grid1.Col)
   If txtCellName = "" Then txtCellName = txtColumn & Grid1.Row
   If txtFormula.Visible Then txtFormula.SetFocus
End Sub

Private Sub txtCellName_KeyPress(KeyAscii As Integer)
   If KeyAscii = vbKeyReturn Then
      ucDefineSyntax txtCellName + "::=" + ColumnName$(CellCol) & "(" & CellRow & ")"
      CellName$(CellRow, CellCol) = txtCellName
      Grid1.SetFocus
   End If
End Sub

Private Sub txtFormula_Change()
   Grid1.Text = txtFormula
End Sub

Private Sub txtFormula_KeyPress(KeyAscii As Integer)
   If KeyAscii = vbKeyReturn Then txtFormula_LostFocus
End Sub

Private Sub txtFormula_LostFocus()
   Dim TmpRow As Long, TmpCol As Long

   TmpRow = Grid1.Row
   TmpCol = Grid1.Col
    
   If txtFormula <> "=" Then SetCellValue CellRow, CellCol, txtFormula
    
   Grid1.Row = TmpRow
   Grid1.Col = TmpCol
End Sub
